# Class RuntimeEOFException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMException
htsjdk.samtools.util.RuntimeEOFException

All Implemented Interfaces:
  `Serializable`

public class RuntimeEOFException extends SAMException
Thrown by various codecs to indicate EOF without having to clutter the API with throws clauses

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RuntimeEOFException()`
`RuntimeEOFException(String s)`
`RuntimeEOFException(String s, Throwable throwable)`
`RuntimeEOFException(Throwable throwable)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimeEOFException

public RuntimeEOFException()

### RuntimeEOFException

public RuntimeEOFException(String s)

### RuntimeEOFException

public RuntimeEOFException(String s, Throwable throwable)

### RuntimeEOFException

public RuntimeEOFException(Throwable throwable)